<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>MiniProject-01</title>
    
</head>
<body>
    <h1>Mini Project 01 Luthfi</h1>
    <div id="issues"></div>
    <div id="comment-issues"></div>
    <script>
        async function fetchIssue() {
            var issuePrint = ''
            var response = await fetch('http://localhost:8080/tes', {
                method: 'GET',
                headers: {
                    Accept: 'application/json',
                },
            })
            var data = await response.json()
            var url_string = window.location.href
            var url = new URL(url_string)
            var id = url.searchParams.get("id")
            console.log(id);
            for (var index = 0; index < data.nodes.length; index++){
                if(data.nodes[index].number == id){
                issuePrint += `<div><h3>Number &ensp;: ${[data.nodes[index].number]}</h3></div>`
                issuePrint += `<div><h3>Title &ensp;  : ${data.nodes[index].title}</h3></div>`
                issuePrint += `<div><h3>Author &ensp;: ${data.nodes[index].author.login}</h3></div>`
                issuePrint += `<div><h3>Body &ensp;:</h3></div>`
                issuePrint += `<div><p>${data.nodes[index].body}</p></div>`
                issuePrint += `<h2>Komentar:</h2>`
                for (var index2 = 0; index2 < data.nodes[index].comments.nodes.length; index2++){
                    issuePrint += `<h3></h3>`
                    issuePrint += `<div><h3>${index2+1}. Author &ensp;: ${data.nodes[index].comments.nodes[index2].author.login}</h3></div>`
                    issuePrint += `<div><p >${data.nodes[index].comments.nodes[index2].body}</p></div>`
                }
                }
            }
            document.getElementById('issues').innerHTML = issuePrint
        }

        // async function fetchIssueComment() {
        //     var issueCommentPrint = 'COMMENT:'
        //     var response = await fetch('http://localhost:8080/comment', {
        //         method: 'GET',
        //         headers: {
        //             Accept: 'application/json',
        //         },
        //     })
        //     var data = await response.json()
        //     var url_string = window.location.href
        //     var url = new URL(url_string)
        //     var id = url.searchParams.get("id")
        //     console.log("ini ambil comment")
        //     console.log(data);
        //     for (var index = 0; index < data.nodes.length; index++){
        //         //if(data.nodes[index].number == id){
        //         issueCommentPrint += `<div><p >Number &ensp;: ${[data.comments.nodes[index].author.login]}</p></div>`
        //         //issueCommentPrint += `<div><p >Title &ensp;  : ${data.nodes[index].title}</p></div>`
        //         //}
        //     }
        //     document.getElementById('comment-issues').innerHTML = issueCommentPrint
        // }

        window.onload = () => {
            fetchIssue()
            // fetchIssueComment()
        }
    </script>
    
</body>
</html>